/*----------------------------------------------------------------*
|delay.h                                                          |
|@version: 1.0                                                    |
|Last Modification: Dec 14th, 2003 , by Fei, based on 0516032252  |
|                                                                 |
| Define the delay and packet loss ratio between hosts            |
*----------------------------------------------------------------*/
/*----------------------------------------------------------------*
|    Copyright 2001-2003 Networking and Simulation Laboratory     |
|         George Mason University, Fairfax, Virginia              |
|                                                                 |
| Permission to use, copy, modify, and distribute this            |
| software and its documentation for academic purposes is hereby  |
| granted without fee, provided that the above copyright notice   |
| and this permission appear in all copies and in supporting      |
| documentation, and that the name of George Mason University     |
| not be used in advertising or publicity pertaining to           |
| distribution of the software without specific, written prior    |
| permission. GMU makes no representations about the suitability  |
| of this software for any purposes.  It is provided "AS IS"      |
| without express or implied warranties.  All risk associated     |
| with use of this software is expressly assumed by the user.     |
 *---------------------------------------------------------------*/

#define MAX_NODES 5

/* the ip addresses of the hosts */
char *  hostname_string[MAX_NODES]=
{"129.174.65.2",
 "129.174.65.22",
 "129.174.65.24",
 "129.174.65.25",
 "127.0.0.1"
};
/*
char *  hostname_string[MAX_NODES]=
{"10.0.0.2",
 "10.0.0.3",
 "129.174.65.24",
 "129.174.65.25",
 "127.0.0.1"
};
*/
unsigned long int hostname_ip[MAX_NODES];

/* delay in milliseconds
 * indexed by hostname_string[]
 */

int delay_matrix[MAX_NODES][MAX_NODES]=
{  {  0,   0,   0,   0,   0},
   {  0,   0,   0,   0,   0},
   {  0,   0,   0,   0,   0}, 
   {  0,   0,   0,   0,   0}, 
   {  0,   0,   0,   0,   0}
};

/* packet loss ratio
 * indexed by hostname_string[]
 */
double loss_matrix[MAX_NODES][MAX_NODES]=
{  {   0,   0,   0,   0,   0},
   {   0,   0,   0,   0,   0},
   {   0,   0,   0,   0,   0},
   {   0,   0,   0,   0,   0},
   {   0,   0,   0,   0,   0}
};

/*
int delay_matrix[MAX_NODES][MAX_NODES]=
{  {  0,  40, 30,  50,   0},
   { 40,   0, 120,  10,   0},
   {30, 120,   0, 200,   0}, 
   { 50,  10, 200,   0,   0}, 
   {  0,   0,   0,   0,   0}
};

double loss_matrix[MAX_NODES][MAX_NODES]=
{  {   0, .15, .08,  .7,   0},
   { .15,   0, .22,   0,   0},
   { .08, .22,   0,   0,   0},
   {  .7,   0,   0,   0,   0},
   {   0,   0,   0,   0,   0}
};
*/
int local_index=-1; /* the index number for local host in the two matrix */

